package com.hfkj.service.coupon;

import com.hfkj.entity.BsOrderCoupon;

import java.util.List;
import java.util.Map;

/**
 * 卡券订单业务
 * @className: BsOrderCouponService
 * @author: HuRui
 * @date: 2024/5/10
 **/
public interface BsOrderCouponService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderCoupon data);

    /**
     * 查询卡券订单
     * @param orderChildOrderNo 子订单号
     * @return
     */
    List<BsOrderCoupon> getListByChildOrderNo(String orderChildOrderNo);

}
